For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all properties
        • GETGet a property by ID
        • GETGet all property lists
        • GETGet a property list by ID
        • POSTCreate Property: Rent Manager - Not Supported
        • PUTUpdate Property: Rent Manager
        • POSTCreate Property Custom Data: Rent Manager
        • PUTUpdate Property Custom Data: Rent Manager
        • POSTCreate Property Files: Rent Manager
        • POSTCreate Property Note: Rent Manager
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Rent ManagerProperties

Create Property Files: Rent Manager

POST
/v1/properties/rentmanager/:property_id/file-upload/
POST
/v1/properties/rentmanager/:property_id/file-upload/
$curl -X POST https://api.propexo.com/v1/properties/rentmanager/property_id/file-upload/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "integration_id": "rm-integration-987654321"
>}'
1{
2 "meta": {
3 "job_id": "job-20240615-123456"
4 },
5 "result": {
6 "integration_id": "rm-integration-987654321",
7 "property_id": "prop-12345",
8 "images": [
9 {
10 "file_type_id": "ft-image-001",
11 "file_name": "balcony_view.jpg",
12 "mime_type": "image/jpeg",
13 "name": "Balcony View",
14 "description": "Stunning ocean view from the master bedroom balcony",
15 "file_type": "Image",
16 "file_data": "iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9h",
17 "caption": "Balcony View"
18 }
19 ],
20 "attachments": [
21 {
22 "file_type_id": "ft-doc-002",
23 "file_name": "lease_agreement.pdf",
24 "mime_type": "application/pdf",
25 "file_type": "Document",
26 "file_data": "JVBERi0xLjQKJcfsj6IKNSAwIG9iago8PC9UeXBlL1BhZ2UvUGFyZW50IDMgMCBSL1Jlc291cmNlcyA8PC9Gb250IDw8L0YxIDYgMCBSPj4+Pi9NZWRpYUJveFswIDAgNjEyIDc5Ml0vQ29udGVudHMgNCAwIFI+PgplbmRvYmoK"
27 }
28 ]
29 }
30}
Create Property Files: Rent Manager | Method | |---| | | | POST /Properties/{propertyId}/UploadImage | | POST /Properties/UserDefinedValues | <Note title="Notice">Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.</Note>
Was this page helpful?
Previous

Create Property Note: Rent Manager

Next
Built with

Create Property Files: Rent Manager

Method
POST /Properties/{propertyId}/UploadImage
POST /Properties/UserDefinedValues
Notice
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

property_idstringRequired
The ID of the resource.

Request

This endpoint expects an object.
integration_idstringRequired
The Propexo unique identifier for the integration
imageslist of objectsOptional
Image files to upload for the property.
attachmentslist of objectsOptional
Attachment files for user defined fields on the property. All the files can have a maximum combined file size of 50 MB

Response

Successful response
metaobject
resultobject

Errors

400
Bad Request Error